#### D.15.3.10 chAll

Procedure from library `chern.lib` (see chern_lib).

Usage:
  chAll(l [,N]); l a list of polynomials, N integer

Return:
  list of polynomials

Purpose:
  computes the list of terms of positive degree [up to degree N] of the Chern character, where the entries of l are considered as the Chern classes

Note:
  makes sense only for a list of polynomials

Example:

    LIB "chern.lib";
    // Chern character (terms of degree 1, 2, 3)
    // corresponding to the Chern classes c(1), c(2), c(3):
    ring r = 0, (c(1..3)), dp;
    list l=(c(1..3));
    print(chAll(l));
    ==> [1]:
    ==>    c(1)
    ==> [2]:
    ==>    1/2*c(1)^2-c(2)
    ==> [3]:
    ==>    1/6*c(1)^3-1/2*c(1)*c(2)+1/2*c(3)
    // terms up to degree 5 in the same situation
    print(chAll(l, 5));
    ==> [1]:
    ==>    c(1)
    ==> [2]:
    ==>    1/2*c(1)^2-c(2)
    ==> [3]:
    ==>    1/6*c(1)^3-1/2*c(1)*c(2)+1/2*c(3)
    ==> [4]:
    ==>    1/24*c(1)^4-1/6*c(1)^2*c(2)+1/12*c(2)^2+1/6*c(1)*c(3)
    ==> [5]:
    ==>    1/120*c(1)^5-1/24*c(1)^3*c(2)+1/24*c(1)*c(2)^2+1/24*c(1)^2*c(3)-1/24*c\
       (2)*c(3)

User manual for Singular version 4-0-3, 2016, generated by texi2html.